# Method: iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.tables.credentials

- [HTTP request](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.tables/credentials#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.tables/credentials#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.tables/credentials#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.tables/credentials#body.request_body)
- [Response body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.tables/credentials#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.tables/credentials#body.LoadIcebergTableCredentialsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.tables/credentials#body.aspect)
- [StorageCredential](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.tables/credentials#StorageCredential)
  - [JSON representation](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.tables/credentials#StorageCredential.SCHEMA_REPRESENTATION)

Loads credentials for a table in the namespace.

### HTTP request

`GET https://biglake.googleapis.com/iceberg/v1/restcatalog/v1/{name=projects/*/catalogs/*/namespaces/*/tables/*}/credentials`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Table to get in the format: |

### Query parameters

| Parameters ||
|---|---|
| `snapshots` | `string` Optional. What snapshot to get. Valid only for tables.get. |

### Request body

The request body must be empty.

### Response body

The response message for the `LoadCredentials` API.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "storage-credentials": [ { object (`https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.tables/credentials#StorageCredential`) } ] } ``` |

| Fields ||
|---|---|
| `storage-credentials[]` | ``object (`https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.tables/credentials#StorageCredential`)`` The credentials for the table assigned to the caller. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/bigquery`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## StorageCredential

The storage credential for a path in the table.

| JSON representation |
|---|
| ``` { "prefix": string, "config": { string: string, ... } } ``` |

| Fields ||
|---|---|
| `prefix` | `string` Indicates a storage location prefix where the credential is relevant. |
| `config` | `map (key: string, value: string)` The credentials for the storage location. The keys that are populated are: - `gcs.oauth2.token` - `gcs.oauth2.token_expires_at` - `expiration-time` (to support federation from Polaris). An object containing a list of `"key": value` pairs. Example: `{ "name": "wrench", "mass": "1.3kg", "count": "3" }`. |